List contactedReviewers
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Get the reviewers for an access review instance, irrespective of whether or not they have received a notification. The reviewers are represented by an accessReviewReviewer object. A list of zero or more objects are returned, including all of their nested properties.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | AccessReview.Read.All, AccessReview.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | AccessReview.Read.All, AccessReview.ReadWrite.All |
HTTP request
GET /identityGovernance/accessReviews/definitions/{accessReviewScheduleDefinitionId}/instances/{accessReviewInstanceId}/contactedReviewers
Optional query parameters
This method supports $select, $filter, $orderBy, $skip, and $top OData query parameters to help customize the response. For general information, see OData query parameters.
The default page size for this API is 100 accessReviewReviewer objects. To improve efficiency and avoid timeouts due to large result sets, apply pagination using the $skip and $top query parameters. For more information, see Paging Microsoft Graph data in your app.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of accessReviewReviewer objects in the response body.
Examples
Request
GET https://graph.microsoft.com/beta/identityGovernance/accessReviews/definitions/2dca8959-b716-4b4c-a93d-a535c01eb6e0/instances/8d035c9d-798d-47fa-beb4-f986a4b8126f/contactedReviewers
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#identityGovernance/accessReviews/definitions('2dca8959-b716-4b4c-a93d-a535c01eb6e0')/instances('8d035c9d-798d-47fa-beb4-f986a4b8126f')/contactedReviewers",
"@odata.count": 1,
"value": [
{
"id": "139166ec-d214-4835-95aa-3c1d89581e51",
"displayName": "Adele Vance",
"userPrincipalName": "AdeleV@contoso.com",
"createdDateTime": "2021-03-09T23:10:28.83Z"
}
]
}
Feedback
Submit and view feedback for